aboutsummaryrefslogtreecommitdiff
path: root/scripts/scsi_temperature
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/scsi_temperature')
-rwxr-xr-xscripts/scsi_temperature46
1 files changed, 46 insertions, 0 deletions
diff --git a/scripts/scsi_temperature b/scripts/scsi_temperature
new file mode 100755
index 00000000..f7d041cd
--- /dev/null
+++ b/scripts/scsi_temperature
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+###################################################################
+#
+# Check the temperature of the given SCSI device(s).
+#
+# This script assumes the sg3_utils package is installed.
+#
+##################################################################
+
+verbose=""
+
+usage()
+{
+ echo "Usage: scsi_temperature [-h] [-v] <device>+"
+ echo " where:"
+ echo " -h, --help print usage message"
+ echo " -v, --verbose more verbose output"
+ echo ""
+ echo "Use SCSI LOG SENSE command to fetch temperature of each <device>"
+}
+
+opt="$1"
+while test ! -z "$opt" -a -z "${opt##-*}"; do
+ opt=${opt#-}
+ case "$opt" in
+ h|-help) usage ; exit 0 ;;
+ v|-verbose) verbose="-v" ;;
+ vv) verbose="-vv" ;;
+ *) echo "Unknown option: -$opt " ; exit 1 ;;
+ esac
+ shift
+ opt="$1"
+done
+
+if [ $# -lt 1 ]
+ then
+ usage
+ exit 1
+fi
+
+for i
+do
+ echo "sg_logs -t $verbose $i"
+ sg_logs -t $verbose $i
+done